@book {book-aima,
	title = {{A}rtificial {I}ntelligence. {A} {M}odern {A}pproach},
	author = {Russel, S. and Norvig, P},
	publisher = {Prentice Hall},
	year = {2010},
	edition = {3rd}
}

@book {book-lfdata,
	title = {{L}earning {F}rom {D}ata. {A} {S}hort {C}ourse},
	author = {Abu-Mustafa, Y. S. and Magdon-Ismail, M. and Lin, H.},
	publisher = {AMLBook},
	year = {2012}
}

@book {book-datam,
	title = {{D}ata {M}ining. {P}ractical {M}achine {L}earning {T}ools {A}nd {T}echniques},
	author = {Witten, I. H. and Frank, E. and Hall, M. A.},
	publisher = {Elsevier},
	year = {2011}
}

@book {book-Quinlan1993,
	address = {San Mateo, CA},
	author = {Ross Quinlan},
	publisher = {Morgan Kaufmann Publishers},
	title = {C4.5: Programs for Machine Learning},
	year = {1993}
}

@mastersthesis {thesis-ilaria,
	author = {Ilaria Bertoletti}, 
	title = {\textit{{R}easoning e {A}pprendimento negli {S}mart {E}nvironment: {U}n {C}aso di {S}tudio}},
	school = {{A}lma {M}ater {S}tudiorum, {U}niversity of {B}ologna, {I}taly},
	year = 2017
}

@phdthesis {thesis-context,
	author = {Andrey Boytsov}, 
	title = {\textit{{C}ontext {R}easoning, {C}ontext {P}rediction and {P}roactive {A}daptation
	in {P}ervasive {C}omputing {S}ystems}},
	school = {{L}uleå {U}niversity of {T}echnology, Sweden},
	year = 2011
}

@article {lpaas-article,
	author = {Calgari, Roberta and Denti, Enrico and Mariani, Stefano and Omicini, Andrea},
	title = {\textit{{L}ogic programming as a service}},
	year = {2018}
}

@article {sklearn-article,
	title = {Scikit-learn: Machine Learning in {P}ython},
	author = {Pedregosa, F. and Varoquaux, G. and Gramfort, A. and Michel, V.
	and Thirion, B. and Grisel, O. and Blondel, M. and Prettenhofer, P.
	and Weiss, R. and Dubourg, V. and Vanderplas, J. and Passos, A. and
	Cournapeau, D. and Brucher, M. and Perrot, M. and Duchesnay, E.},
	journal = {Journal of Machine Learning Research},
	volume = {12},
	pages = {2825--2830},
	year = {2011}
}

@article {tuprolog-article,
	author = {Denti, Enrico and Omicini, Andrea and Ricci, Alessandro},
	title = {\textit{{{\sf tu}Prolog}: A Light-weight {P}rolog for {I}nternet Applications and Infrastructures}},
	year = {2001}
}

@article {Breiman2001-article,
	author = {Leo Breiman},
	journal = {Machine Learning},
	number = {1},
	pages = {5-32},
	title = {Random Forests},
	volume = {45},
	year = {2001}
}

@article{Cze03-article,
	title={{Application of rough sets in the presumptive diagnosis of urinary system diseases}},
	author="Czerniak, J. and Zarzycki, H.",
	journal="Artifical Inteligence and Security in Computing Systems, ACS'2002 9th International Conference Proceedings",
	pages="41--51",
	year="2003",
	publisher="Kluwer Academic Publishers"
}


@manual {weka-manual,
	title = {{WEKA Manual} for version 3.8.3},
	organization = {{U}niversity of {W}aikato, {N}ew {Z}ealand},
	year = 2018
}

@misc {weka-javadoc,
	title = {{J}avadoc of the {Weka} {L}ibrary},
	howpublished = {\\ \url{http://weka.sourceforge.net/doc.stable/}},
	year = {2018}
}

@manual {tuprolog-manual,
	title = {{{\sf tu}Prolog Manual} for version 3.3.0},
	organization = {{A}lma {M}ater {S}tudiorum, {U}niversity of {B}ologna, {I}taly},
	year = 2018
}

@techreport{dot-manual,
	added-at = {2015-01-09T14:18:08.000+0100},
	author = {Gansner, Emden and Koutsofios, Eleftherios and North, Stephen},
	biburl = {https://www.bibsonomy.org/bibtex/2e78bd356a496b91cfd4e2c5a8fc73b0a/thoni},
	interhash = {e6c75dada77bc0a3693f2bd18213234f},
	intrahash = {e78bd356a496b91cfd4e2c5a8fc73b0a},
	keywords = {dot drawing graph util},
	timestamp = {2016-09-06T08:23:07.000+0200},
	title = {Drawing graphs with dot},
	url = {http://www.graphviz.org/Documentation/dotguide.pdf},
	year = 2006
}

@misc {gnu-gpl-page,
	title = {{GNU}, {H}ome {P}age {L}icenze},
	howpublished = {\\ \url{https://www.gnu.org/licenses/licenses.it.html}},
	year = {2018}
}

@misc {gnu-lgpl-page,
	title = {{GNU} {L}esser {G}eneral {P}ublic {L}icense},
	howpublished = {\\ \url{https://www.gnu.org/licenses/lgpl-3.0.en.html}},
	year = {2007}
}

@misc {bsd-page,
	title = {{BSD} {L}icense {P}roblem},
	howpublished = {\\ \url{https://www.gnu.org/licenses/bsd.html}},
	year = {2015}
}

@misc {mit-page,
	title = {{MIT} {L}icense {P}age},
	howpublished = {\\ \url{https://spdx.org/licenses/MIT.html}},
	year = {2018}
}

@misc {apache2-page,
	title = {{A}pache {L}icense, {V}ersion 2.0},
	howpublished = {\\ \url{https://www.apache.org/licenses/LICENSE-2.0}},
	year = {2004}
}

@misc {python-page,
	title = {{P}ython {S}oftware {F}oundation {P}age},
	howpublished = {\\ \url{https://www.python.org/}},
	year = {2019}
}

@misc {cntk-page,
	title = {{M}icrosoft {C}ognitive {T}oolkit},
	howpublished = {\\ \url{https://www.microsoft.com/en-us/cognitive-toolkit/}},
	year = {2019}
}

@misc {theano-page,
	title = {{T}heano {D}ocumentation},
	howpublished = {\\ \url{http://deeplearning.net/software/theano/}},
	year = {2017}
}

@misc {anaconda-page,
	title = {{A}naconda {H}ome {P}age},
	howpublished = {\\ \url{https://www.anaconda.com/}}
}

@misc {google-soc-page,
	title = {{G}oogle {S}ummer of {C}ode},
	howpublished = {\\ \url{https://summerofcode.withgoogle.com/}}
}

@misc {weka-page,
	title = {{Weka}: {D}ata {M}ining {S}oftware {I}n {J}ava},
	howpublished = {\\ \url{https://www.cs.waikato.ac.nz/ml/weka/}},
	year = {2019}
}

@misc {keras-page,
	title = {{Keras}: {H}ome},
	howpublished = {\\ \url{https://keras.io/}},
	year = {2019}
}

@misc {tf-page,
	title = {{TensorFlow}},
	howpublished = {\\ \url{https://www.tensorflow.org/}},
	year = {2019}
}

@misc{uci-page,
	author = "Dua, Dheeru and Graff, Casey",
	year = "2017",
	title = "{UCI} Machine Learning Repository",
	url = "http://archive.ics.uci.edu/ml",
	institution = "University of California, Irvine, School of Information and Computer Sciences" }

